Send carousel
curl --request POST \
--url https://api.omni.z-api.io/channels/{channel_id}/token/{channel_token}/send-carousel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"phone": "5511999999999",
"message": "Check out our products:",
"carousel": [
{
"text": "Product A",
"image": "https://example.com/product-a.png",
"buttons": [
{
"id": "1",
"type": "URL",
"label": "View details",
"url": "https://www.omni.z-api.io"
},
{
"id": "2",
"type": "REPLY",
"label": "I'm interested"
}
]
},
{
"text": "Product B",
"image": "https://example.com/product-b.png",
"buttons": [
{
"id": "3",
"type": "URL",
"label": "View details",
"url": "https://www.omni.z-api.io"
},
{
"id": "4",
"type": "REPLY",
"label": "I'm interested"
}
]
}
]
}
EOFimport requests
url = "https://api.omni.z-api.io/channels/{channel_id}/token/{channel_token}/send-carousel"
payload = {
"phone": "5511999999999",
"message": "Check out our products:",
"carousel": [
{
"text": "Product A",
"image": "https://example.com/product-a.png",
"buttons": [
{
"id": "1",
"type": "URL",
"label": "View details",
"url": "https://www.omni.z-api.io"
},
{
"id": "2",
"type": "REPLY",
"label": "I'm interested"
}
]
},
{
"text": "Product B",
"image": "https://example.com/product-b.png",
"buttons": [
{
"id": "3",
"type": "URL",
"label": "View details",
"url": "https://www.omni.z-api.io"
},
{
"id": "4",
"type": "REPLY",
"label": "I'm interested"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone: '5511999999999',
message: 'Check out our products:',
carousel: [
{
text: 'Product A',
image: 'https://example.com/product-a.png',
buttons: [
{id: '1', type: 'URL', label: 'View details', url: 'https://www.omni.z-api.io'},
{id: '2', type: 'REPLY', label: 'I\'m interested'}
]
},
{
text: 'Product B',
image: 'https://example.com/product-b.png',
buttons: [
{id: '3', type: 'URL', label: 'View details', url: 'https://www.omni.z-api.io'},
{id: '4', type: 'REPLY', label: 'I\'m interested'}
]
}
]
})
};
fetch('https://api.omni.z-api.io/channels/{channel_id}/token/{channel_token}/send-carousel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"zaapId": "3999984263738042930CD6ECDE9VDWSA",
"messageId": "D241XXXX732339502B68",
"id": "D241XXXX732339502B68"
}{
"error": 405,
"message": "Method not allowed"
}{
"error": 415,
"message": "Unsupported media type"
}Mensagens
Enviar carrossel
Envie mensagens com carrossel de cards interativos
POST
/
send-carousel
Send carousel
Conceituação
Método para envio de mensagens com carrossel de cards. Cada card pode conter imagem, texto e botões de ação (CALL, URL ou REPLY).Autorizações
Secret Key generated in the Omni Z-API Security panel
Corpo
application/json
Recipient phone number (country code + area code + number)
Exemplo:
"5511999999999"
Message text
List of carousel cards
Show child attributes
Show child attributes
Delay in seconds before sending (1-15)
Intervalo obrigatório:
1 <= x <= 15